public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-containers/conmon/
Date: Fri,  4 Feb 2022 18:23:46 +0000 (UTC)	[thread overview]
Message-ID: <1643998962.77bb29019583f38144e435bd8e3051a97e874a3b.zmedico@gentoo> (raw)

commit:     77bb29019583f38144e435bd8e3051a97e874a3b
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  4 18:22:42 2022 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Fri Feb  4 18:22:42 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77bb2901

app-containers/conmon: Bump to version 2.1.0

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-containers/conmon/Manifest            |  1 +
 app-containers/conmon/conmon-2.1.0.ebuild | 49 +++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/app-containers/conmon/Manifest b/app-containers/conmon/Manifest
index c3866731eab9..9f788b077ab6 100644
--- a/app-containers/conmon/Manifest
+++ b/app-containers/conmon/Manifest
@@ -1,2 +1,3 @@
 DIST conmon-2.0.30.tar.gz 161285 BLAKE2B c4e01759d819d3dff94b9ae09caa72b6f664e49d907d3a1be9fb4a0e1f782fad29a7cd7c89703e861f4aa6d7955996386f81460f19f22be2889c4f88c34536cb SHA512 2451e441913925f8423385b83e97630e980948a9bd57ae8800889016c4412a26bed598825d3c034c3edcecbab66c38417f55ad3866d3c2c98cada6acce2b2d16
 DIST conmon-2.0.31.tar.gz 158184 BLAKE2B b14bae77a18cc352bc9583604544b4e7ffe4bd8a77e5c3185c897c11819bba227edcbd84b559d998a2b5648ca371f0e98e4d9cd15951a953cbe05a9c9ae9d434 SHA512 ff879fcd5a3b7de8ee6ff9de2a13d0afc36fdb392390278b26ee179be26ff375ddce4f5ae24e3e88b737f63202af64b49e82b2ffbfc0de8bfd14690dac523747
+DIST conmon-2.1.0.tar.gz 159045 BLAKE2B a39b7620091ca17f4d91a26e040f886293688562cba1827cc09c1da1c1401ad78cbb16420c9df8a055ab5ca3eb2933aec6ac1b9fbb1eea10f33b1b0d76c5dd54 SHA512 0f27a1b048c2dcafb40cd67f80c2a5d7e92f5beb849174233dc10e2db42b4ea8b89f27c901d3f38cf1d412ed875c5521e07140038e859fb54bcc554cb9197e74

diff --git a/app-containers/conmon/conmon-2.1.0.ebuild b/app-containers/conmon/conmon-2.1.0.ebuild
new file mode 100644
index 000000000000..ac41e5569b88
--- /dev/null
+++ b/app-containers/conmon/conmon-2.1.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="An OCI container runtime monitor"
+HOMEPAGE="https://github.com/containers/conmon"
+SRC_URI="https://github.com/containers/conmon/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64"
+IUSE="systemd"
+RESTRICT="test"
+
+RDEPEND="dev-libs/glib:=
+	sys-libs/libseccomp
+	systemd? ( sys-apps/systemd:= )"
+DEPEND="${RDEPEND}
+	dev-go/go-md2man"
+
+src_prepare() {
+	default
+
+	if ! use systemd; then
+		sed -e 's| $(PKG_CONFIG) --exists libsystemd-journal | false |' \
+			-e 's| $(PKG_CONFIG) --exists libsystemd | false |' \
+			-i Makefile || die
+	fi
+	sed -e 's|make -C tools|$(MAKE) -C tools|' -i Makefile || die
+	sed -e 's|^GOMD2MAN = .*|GOMD2MAN = go-md2man|' -i docs/Makefile || die
+}
+
+src_compile() {
+	tc-export CC
+	emake GIT_COMMIT="v${PV}" \
+		all
+}
+
+src_install() {
+	emake DESTDIR="${D}" \
+		PREFIX="${EPREFIX}/usr" \
+		install
+	dodir /usr/libexec/podman
+	ln "${ED}/usr/"{bin,libexec/podman}/conmon || die
+	dodoc README.md
+}


             reply	other threads:[~2022-02-04 18:23 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-02-04 18:23 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-19 22:49 [gentoo-commits] repo/gentoo:master commit in: app-containers/conmon/ Zac Medico
2024-08-22  8:55 WANG Xuerui
2024-08-22  8:55 WANG Xuerui
2024-05-13 12:30 Arthur Zamarin
2024-05-11 15:16 Arthur Zamarin
2024-05-09 18:34 Florian Schmaus
2024-05-09 10:52 Florian Schmaus
2024-05-09 10:52 Florian Schmaus
2024-01-06  5:38 Zac Medico
2023-11-17 12:10 Sam James
2023-11-17 12:08 Sam James
2023-10-31 17:19 Mike Gilbert
2023-06-09 18:16 Arthur Zamarin
2023-05-15 20:19 Arthur Zamarin
2023-05-06 12:01 Sam James
2023-05-06 10:31 Arthur Zamarin
2023-05-06 10:28 Arthur Zamarin
2023-05-06 10:28 Arthur Zamarin
2023-02-22  1:34 Zac Medico
2022-02-25  9:25 Yixun Lan
2022-02-04 18:19 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1643998962.77bb29019583f38144e435bd8e3051a97e874a3b.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox